Bash version


#1

I am trying to run this script: https://github.com/git/git/blob/master/contrib/workdir/git-new-workdir

but I keep getting errors. Is the version of bash on DreamHost not able to recognize the code in this script? I’m on matar server with GNU bash version 3.2.39.

Does anyone know how I could run that script?[hr]
I forgot to mention the section of the script that caused errors:

line3: usage () {
then I deleted that section and got another error (line # is from original file)
line27: case “$git_dir” in
then I deleted that section and got another error (line # is from original file)
line67: do (prev line is: “for x in list”)